/*
 * MiningMart Version 1.0
 * 
 * Copyright (C) 2006 Martin Scholz, Timm Euler, 
 *                    Daniel Hakenjos, Katharina Morik
 *
 * Contact: miningmart@ls8.cs.uni-dortmund.de
 *
 * A list of contributing developers (other than the copyright 
 * holders) can be found at
 * http://mmart.cs.uni-dortmund.de/downloads/download.html
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program, see the file MM_HOME/LICENSE; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 */
package edu.udo.cs.miningmart.compiler.wrapper.dista.C45;

import java.io.*;

/**
 * 
 * @author Alessandro Serra
 * @version $Id: NumericAttribute.java,v 1.4 2006/04/11 14:10:09 euler Exp $
 */
public class NumericAttribute extends Attribute {
	protected double m_min_value;
	protected double m_max_value;

	public NumericAttribute() {
		super();
	}

	final public void setMaxValue(double d) {
		m_max_value=d;
	}
	final public void setMinValue(double d) {
		m_min_value=d;
	}
	final public double getMaxValue() {
		return m_max_value;
	}
	final public double getMinValue() {
		return m_min_value;
	}
	final public double getRangeWide() {
		return m_max_value-m_min_value;
	}
	public void dumpOn(PrintWriter w) {
		super.dumpOn(w);
		w.print("["+m_min_value+","+m_max_value+"]");
	}
};
/*
 * Historie
 * --------
 * 
 * $Log: NumericAttribute.java,v $
 * Revision 1.4  2006/04/11 14:10:09  euler
 * Updated license text.
 *
 * Revision 1.3  2006/04/06 16:31:09  euler
 * Prepended license remark.
 *
 * Revision 1.2  2006/03/30 16:07:12  scholz
 * fixed author tags for release
 *
 * Revision 1.1  2006/01/03 09:54:02  hakenjos
 * Initial version!
 *
 */
