/*
 * MiningMart Version 1.0
 * 
 * Copyright (C) 2006 Martin Scholz, Timm Euler, 
 *                    Daniel Hakenjos, Katharina Morik
 *
 * Contact: miningmart@ls8.cs.uni-dortmund.de
 *
 * A list of contributing developers (other than the copyright 
 * holders) can be found at
 * http://mmart.cs.uni-dortmund.de/downloads/download.html
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program, see the file MM_HOME/LICENSE; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 */
package edu.udo.cs.miningmart.m4;

import java.util.Collection;

/**
 * @author Timm Euler, Daniel Hakenjos
 * @version $Id: RelationalDatatypes.java,v 1.3 2006/04/11 14:10:12 euler Exp $
 */
public interface RelationalDatatypes {

    /** Public constant indicating the relational datatype NUMBER */
    public static final String RELATIONAL_DATATYPE_NUMBER = "NUMBER";
    
    /** Public constant indicating the relational datatype STRING */
    public static final String RELATIONAL_DATATYPE_STRING = "STRING";
    
    /** Public constant indicating the relational datatype DATE */
    public static final String RELATIONAL_DATATYPE_DATE = "DATE";
    
    /** Public constant indicating the relational datatype KEY */
    public static final String RELATIONAL_DATATYPE_KEY = "KEY";

	//Methods for managing Column datatypes in the database

	/**
	 * Returns a collection of datatype names available in the M4 Schema.
	 */
	Collection getAllRelationalDatatypeNames();

    long getIdForName(String name);
    
    String getNameForId(long id);
}
/*
 * Historie
 * --------
 * 
 * $Log: RelationalDatatypes.java,v $
 * Revision 1.3  2006/04/11 14:10:12  euler
 * Updated license text.
 *
 * Revision 1.2  2006/04/06 16:31:12  euler
 * Prepended license remark.
 *
 * Revision 1.1  2006/01/03 09:54:23  hakenjos
 * Initial version!
 *
 */
