/*
 * MiningMart Version 1.0
 * 
 * Copyright (C) 2006 Martin Scholz, Timm Euler, 
 *                    Daniel Hakenjos, Katharina Morik
 *
 * Contact: miningmart@ls8.cs.uni-dortmund.de
 *
 * A list of contributing developers (other than the copyright 
 * holders) can be found at
 * http://mmart.cs.uni-dortmund.de/downloads/download.html
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program, see the file MM_HOME/LICENSE; if not, write
 * to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA 02110-1301, USA.
 */
package edu.udo.cs.miningmart.storedProcedures;

/**
 * @author Stefan Schwedt
 * @version $Id: Quicksort.java,v 1.3 2006/04/11 14:10:16 euler Exp $
 */
public class Quicksort {

  public Quicksort() {}

  // A special version of the quicksort algorithm :
  // it sorts one array, but executes every operation also on another array
  public static void sort(double[] sortby, double[] data, int left, int right) {
    if (sortby == null || sortby.length < 2) return;

    int i = left, j = right;

    double x = sortby[(left+right)/2];

    do {
      while (sortby[i] < x) i++;
      while (x < sortby[j]) j--;

      if (i <= j) {
	double temp = sortby[i]; sortby[i] = sortby[j]; sortby[j] = temp;
	temp = data[i]; data[i] = data[j]; data[j] = temp;
	i++;
	j--;
      }

    } while (i <= j);

    if (left < j)  sort(sortby, data, left, j);
    if (i < right) sort(sortby, data, i, right);
  }
}
/*
 *$Log: Quicksort.java,v $
 *Revision 1.3  2006/04/11 14:10:16  euler
 *Updated license text.
 *
 *Revision 1.2  2006/04/06 16:31:16  euler
 *Prepended license remark.
 *
 *Revision 1.1  2006/01/03 09:54:23  hakenjos
 *Initial version!
 * 
 */
